Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Missing p2 site for yakindu plugin #2193

Closed
lwrage opened this issue Feb 8, 2020 · 1 comment
Closed

Missing p2 site for yakindu plugin #2193

lwrage opened this issue Feb 8, 2020 · 1 comment

Comments

@lwrage
Copy link
Contributor

@lwrage lwrage commented Feb 8, 2020

Summary

From @Etienne13 via google group:

I have downloaded Eclipse 2019-12 R, modelling tools (https://www.eclipse.org/downloads/packages/release/2019-12/r/eclipse-modeling-tools).

I cannot install OSATE 2.7.0 in this environment from the update site (http://osate-build.sei.cmu.edu/download/osate/stable/2.7.0/updates/).

Expected and Current Behavior

Here is the error message I get:

Cannot complete the install because one or more required items could not be found.
Software being installed: Open Source AADL Tool Environment Graphical Editor Developer Resources 3.0.0.v20200201-1852 (org.osate.ge.feature.source.feature.group 3.0.0.v20200201-1852)
Missing requirement: org.osate.xtext.aadl2.ui 2.0.0.v20200202-1550 (org.osate.xtext.aadl2.ui 2.0.0.v20200202-1550) requires 'osgi.bundle; org.yakindu.base.xtext.utils.jface [3.5.9,4.0.0)' but it could not be found
Cannot satisfy dependency:
From: Open Source AADL Tool Environment Graphical Editor 3.0.0.v20200201-1852 (org.osate.ge.feature.feature.group 3.0.0.v20200201-1852)
To: org.eclipse.equinox.p2.iu; org.osate.xtext.aadl2.ui 0.0.0
Cannot satisfy dependency:
From: Open Source AADL Tool Environment Graphical Editor Developer Resources 3.0.0.v20200201-1852 (org.osate.ge.feature.source.feature.group 3.0.0.v20200201-1852)
To: org.eclipse.equinox.p2.iu; org.osate.ge.feature.feature.group [3.0.0.v20200201-1852,3.0.0.v20200201-1852]

Environment

  • OSATE Version: 2.7.0
  • Operating System:
@lwrage
Copy link
Contributor Author

@lwrage lwrage commented Feb 8, 2020

Workaround:

Add http://updates.yakindu.com/statecharts/releases/3.5.9 as an p2 site to Eclipse before installing OSATE (Help -> Install New Software... -> type the URL into field "Work with:" -> "Enter" key). That URL is missing from our p2 repository's list of external sites.

@lwrage lwrage closed this as completed in 450f227 Feb 9, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Development

No branches or pull requests

1 participant